<ng-container *ngIf="{
            competitions: competitions$ | async,
            categories: categories$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'admin.division.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
      </h1>
      <p>
        {{ 'admin.division.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
      </p>
      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-form-field>
          <mat-label>
            {{ 'admin.division.edit.form.category' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.category"
                            [control]="formGroup.controls.category"
                            [updateDisable]="mode !== editModeEnum.UPDATE">
            <mat-select formControlName="category"
                        (selectionChange)="categoryChange()">
              <mat-option *ngFor="let category of vm.categories?.items; trackBy: trackBySlug"
                          [value]="category.slug">
                {{ category.name }}
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.category.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.division.edit.form.competition' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.competition"
                            [control]="formGroup.controls.competition"
                            [updateDisable]="mode !== editModeEnum.UPDATE">
            <mat-select formControlName="competition">
              <mat-option *ngFor="let competition of vm.competitions?.items; trackBy: trackBySlug"
                          [value]="competition.slug">
                {{ competition.name }}
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.competition.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.division.edit.form.name' | translate }}
          </mat-label>
          <input matInput name="name" formControlName="name"/>
          <mat-error *ngIf="formGroup.controls.name.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.division.edit.form.index' | translate }}
          </mat-label>
          <input matInput type="number"
                 name="index" formControlName="index"/>
          <mat-error *ngIf="formGroup.controls.index.errors?.unicity">
            {{ 'admin.common.validation.unicity' | translate:{ value: formGroup.controls.index.errors?.unicity?.current } }}
          </mat-error>
          <mat-error *ngIf="formGroup.controls.index.errors?.min">
            {{ 'admin.common.validation.min' | translate:{ min: formGroup.controls.index.errors?.min?.min } }}
          </mat-error>
          <mat-error *ngIf="formGroup.controls.index.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.division.edit.form.groupCount' | translate }}
          </mat-label>
          <input matInput type="number"
                 name="groupCount" formControlName="groupCount"
                 [min]="minGroupCount" [max]="maxGroupCount"/>
          <mat-error *ngIf="formGroup.controls.groupCount.errors?.max">
            {{ 'admin.common.validation.max' | translate:{ max: formGroup.controls.groupCount.errors?.max?.max } }}
          </mat-error>
          <mat-error *ngIf="formGroup.controls.groupCount.errors?.min">
            {{ 'admin.common.validation.min' | translate:{ min: formGroup.controls.groupCount.errors?.min?.min } }}
          </mat-error>
        </mat-form-field>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands?.commands"
         [queryParams]="previousRouteCommands?.queryParams">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'admin.common.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'admin.common.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
